UJCONV(1p)

NAME
ujconv -- reinvented iconv(1) using Unicode::Japanese

SYNOPSIS
  ujconv [-f from_encoding] [-t to_encoding] [-s string] [files...]
  ujconv -l
  ujconv -h
  ujconv -V

VERSION
ujconv 0.02

DESCRIPTION
ujconv is an iconv-like tool which is written in perl using Unicode::Japanese.

ujconv reads text from STDIN or files, convert them, and print them to STDOUT.

Available options are as follows. Each options can be in short form (-f) or long form (--from):

-f,--from from_encoding
    Convert characters from from_encoding. Unlike iconv this option can be omitted. In that case, the encoding of the input is guessed by ujconv.

-t,--to to_encoding
    Convert characters to to_encoding.

-s,--string string
    Input from the argument string instead of file or STDIN.

-l,--list
    List all available encodings, one name per each lines.

-h,--help
    Print a short help message.

-V,--version
    Print the version of ujconv.

SEE ALSO
Unicode::Japanese, piconv(1), iconv(1), ujguess